<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Dizibiz
 */

get_header();
?>
<main id="site-content" role="main">
    <div class="wrapper">
        <div id="primary" class="site-main">

            <section class="error-404 not-found">
                <header class="page-header">
                    <h1 class="page-title">
                        <?php esc_html_e('Error 404', 'dizibiz'); ?>
                    </h1>

                    <p>
                        <?php esc_html_e(" We searched high and low, but it seems that the page you're looking for is as elusive as a unicorn in a haystack. Keep searching, brave adventurer!", 'dizibiz'); ?>
                    </p>

                    <button class="theme-primary-btn">
                        <a href="<?php echo esc_url(get_home_url()); ?>"> <?php esc_html_e("Go Back To Home", 'dizibiz'); ?>  </a>
                    </button>
                </header><!-- .page-header -->
            </section><!-- .error-404 -->

        </div><!-- #main -->
    </div>
</main>
<?php
get_footer();