<?php
$wp_customize->add_setting('dizibiz_options[ed_header_media_section]',
    array(
        'default' => $default_options['ed_header_media_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dizibiz_sanitize_checkbox',
    )
);

$wp_customize->add_control('dizibiz_options[ed_header_media_section]',
    array(
        'label' => esc_html__('Enable Header Media Section', 'dizibiz'),
        'section' => 'header_image',
        'type' => 'checkbox',
    )
 );

$wp_customize->add_setting( 'dizibiz_options[header_banner_title]',
    array(
    'default'           => $default_options['header_banner_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'dizibiz_options[header_banner_title]',
    array(
    'label'       => esc_html__( 'Header Image Title', 'dizibiz' ),
    'section'     => 'header_image',
    'type'        => 'text',
    )
);

$wp_customize->add_setting( 'dizibiz_options[header_banner_content]',
    array(
    'default'           => $default_options['header_banner_content'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'dizibiz_options[header_banner_content]',
    array(
    'label'       => esc_html__( 'Header Image content', 'dizibiz' ),
    'section'     => 'header_image',
    'type'        => 'text',
    )
);

$wp_customize->add_setting('dizibiz_options[ed_social_banner_nav]',
    array(
        'default' => $default_options['ed_social_banner_nav'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dizibiz_sanitize_checkbox',
    )
);

$wp_customize->add_control('dizibiz_options[ed_social_banner_nav]',
    array(
        'label' => esc_html__('Open In New Tab', 'dizibiz'),
        'section' => 'header_image',
        'type' => 'checkbox',
    )
 );

$wp_customize->add_setting('dizibiz_options[header_banner_sub_image]',
    array(
        'default' => $default_options['header_banner_sub_image'],
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control( new WP_Customize_Image_Control(
    $wp_customize,
    'dizibiz_options[header_banner_sub_image]',
        array(
            'label'      => esc_html__( 'Header Banner Sub Image', 'dizibiz' ),
            'section'    => 'header_image',
        )
    )
);


$wp_customize->add_setting( 'dizibiz_options[header_banner_button_label]',
    array(
    'default'           => $default_options['header_banner_button_label'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'dizibiz_options[header_banner_button_label]',
    array(
    'label'       => esc_html__( 'Header Image Button Text', 'dizibiz' ),
    'section'     => 'header_image',
    'type'        => 'text',
    )
);

$wp_customize->add_setting( 'dizibiz_options[header_banner_button_link]',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'dizibiz_options[header_banner_button_link]',
    array(
    'label'       => esc_html__( 'Header Image Button Link', 'dizibiz' ),
    'section'     => 'header_image',
    'type'        => 'text',
    )
);

$wp_customize->add_setting('dizibiz_options[ed_open_link_new_tab]',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dizibiz_sanitize_checkbox',
    )
);

$wp_customize->add_control('dizibiz_options[ed_open_link_new_tab]',
    array(
        'label' => esc_html__('Open In New Tab', 'dizibiz'),
        'section' => 'header_image',
        'type' => 'checkbox',
    )
 );