<?php

/* Theme Widget sidebars. */
require get_template_directory() . '/inc/widgets/widgets.php';
require get_template_directory() . '/inc/widgets/widget-base/widgetbase.php';

require get_template_directory() . '/inc/widgets/recent-widget.php';
require get_template_directory() . '/inc/widgets/social-widget.php';
require get_template_directory() . '/inc/widgets/author-widget.php';
require get_template_directory() . '/inc/widgets/newsletter-widget.php';
require get_template_directory() . '/inc/widgets/tab-widget.php';
require get_template_directory() . '/inc/widgets/cta-widget.php';
require get_template_directory() . '/inc/widgets/service-widget.php';
require get_template_directory() . '/inc/widgets/about-widget.php';
require get_template_directory() . '/inc/widgets/logo-carousel.php';
require get_template_directory() . '/inc/widgets/process-widget.php';
require get_template_directory() . '/inc/widgets/portfolio-widget.php';
require get_template_directory() . '/inc/widgets/contact-widget.php';
require get_template_directory() . '/inc/widgets/testimonial-widget.php';

/* Register site widgets */
if ( ! function_exists( 'dizibiz_widgets' ) ) :
    /**
     * Load widgets.
     *
     * @since 1.0.0
     */
    function dizibiz_widgets() {
        register_widget( 'Dizibiz_Recent_Posts' );
        register_widget( 'Dizibiz_Social_Menu' );
        register_widget( 'Dizibiz_Author_Info' );
        register_widget( 'Dizibiz_Mailchimp_Form' );
        register_widget( 'Dizibiz_Call_To_Action' );
        register_widget( 'Dizibiz_Tab_Posts' );
        register_widget( 'Dizibiz_Service_Widget' );
        register_widget( 'Dizibiz_About_Widget' );
        register_widget( 'Dizibiz_Carousel_Widget' );
        register_widget( 'Dizibiz_Process_Widget' );
        register_widget( 'Dizibiz_Portfolio_Widget' );
        register_widget( 'Dizibiz_Contact_Widget' );
        register_widget( 'Dizibiz_Testimonial_Widget' );
    }
endif;
add_action( 'widgets_init', 'dizibiz_widgets' );