<?php
// Don't show the title if the post-format is `aside` or `status`.
$post_format = get_post_format();
global $post;

if ($archive_style != 'archive_style_4') {
    if ('gallery' === $post_format || 'audio' === $post_format || 'video' === $post_format) {
        return;
    }
}
?>
<?php if (has_post_thumbnail() && !post_password_required()) : ?>
    <div class="entry-image">
        <figure class="featured-media">
            <a href="<?php the_permalink(); ?>">
                <?php //the_post_thumbnail('large'); 
                ?>
                <div class="data-bg data-bg-big" data-background='<?php echo esc_url(get_the_post_thumbnail_url($post->ID, 'full')); ?>'></div>
            </a>

            <?php
            $caption = get_the_post_thumbnail_caption();
            if ($caption) {
            ?>
                <figcaption class="wp-caption-text"><?php echo wp_kses_post($caption); ?></figcaption>
            <?php
            }
            ?>

            <a href="<?php echo get_the_post_thumbnail_url(); ?>" class="featured-media-fullscreen" data-glightbox="" data-gallery="portfolio">
                <?php dizibiz_theme_svg('fullscreen'); ?>
            </a>
        </figure><!-- .featured-media -->
    </div><!-- .entry-image -->
<?php endif; ?>