<?php

/**
 * Template part for displaying post archives
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Dizibiz
 */

$class = '';
if ('archive_style_4' == $archive_style) {
    // $class = 'data-bg data-bg-big';
}

$post_format = get_post_format();

?>
<article id="post-<?php the_ID(); ?>" <?php post_class($class); ?>>
    <?php get_template_part('template-parts/archive/archive-image'); ?>
    <div class="article-block-wrapper">

        <?php get_template_part('template-parts/archive/entry-header-archive'); ?>

        <div class="entry-summary">
            <?php get_template_part('template-parts/archive/archive', $post_format); ?>
        </div><!-- .entry-content -->

        <?php
        if ('aside' != $post_format && 'status' != $post_format) {
            dizibiz_entry_footer();
        }
        ?>

    </div><!-- .article-block-wrapper -->

</article><!-- #post-<?php the_ID(); ?> -->