<?php
/**
 * Show the appropriate content for the Audio post format.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Dizibiz
 * @since Dizibiz 1.0.0
 */

$content = get_the_content();

if ( has_block( 'core/audio', $content ) ) {
	dizibiz_print_first_instance_of_block( 'core/audio', $content );
} elseif ( has_block( 'core/embed', $content ) ) {
	dizibiz_print_first_instance_of_block( 'core/embed', $content );
} else {
	dizibiz_print_first_instance_of_block( 'core-embed/*', $content );
}

// Add the excerpt.
if ( absint(dizibiz_get_option( 'excerpt_length' )) != '0'){
    the_excerpt();
}