<?php
/**
 * Displays the site header.
 *
 * @package Dizibiz
 */

$wrapper_classes  = 'site-header theme-site-header theme-block';

$header_style = dizibiz_get_option('header_style');
$enable_top_bar = dizibiz_get_option('enable_top_bar');

$wrapper_classes .= ' dizibiz-'.$header_style;

$header_template = str_replace('header_','', $header_style);
$header_template = str_replace('_','-', $header_template);
$ed_header_media_section = dizibiz_get_option('ed_header_media_section');
if (!$ed_header_media_section || is_single() || is_archive() || is_page() || is_404()) {
    $wrapper_classes .= ' header-media-disabled';
}
$ed_header_media_section = dizibiz_get_option('ed_header_media_section');
if ($ed_header_media_section && has_custom_header() && !is_single() && !is_archive() && !is_page() && !is_404()) {
    $wrapper_classes .= " header-image-on";
}
?>

    <header id="masthead" class="<?php echo esc_attr( $wrapper_classes ); ?>" role="banner">
        <?php
        get_template_part('template-parts/header/styles/'.$header_template);
        ?>
    </header><!-- #masthead -->

<?php get_template_part('template-parts/header/components/header-offcanvas'); ?>
<?php get_template_part('template-parts/header/components/header-search'); ?>